catalog:
  title: M3 Core

templates:
- cmake-catkin
- base
- github

variables:
  github.user: CentralLabFacilities
  branches:
  - master

  extra-requires:
  - nature: freestyle
    target: ethercat
    version: '1.5'
  - '@{next-value|[]}'
  extra-provides:
  - cmake: M3rtn
  - '@{next-value|[]}'

  cmake.options:
  - ETHERCAT=ON
  - KERNEL_NAME=3.14.17-rtai-4.1
  - '@{next-value|[]}'
